Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.negotiator
Class NegotiatorControlFlags

    java.lang.Object
      lbg.peer.core.negotiator.NegotiatorControlFlags

    public class NegotiatorControlFlags

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`NegotiatorControlFlags()`

Method Summary
`void` | `clear()`
`void` | `copyFlags(NegotiatorControlFlags flags)` Deprecated.
`boolean` | `getEvalSupplyingRequestsFlag()`
`boolean` | `getGenSupplyingRequestsFlag()`
`void` | `setFlags(boolean gen_supplying_requests_flag, boolean eval_supplying_requests_flag)` Deprecated.
`void` | `setFlagsIfTrue(boolean gen_supplying_requests_flag, boolean eval_supplying_requests_flag)` Sets flags of this Peer with target flags.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NegotiatorControlFlags

    public NegotiatorControlFlags()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clear

    public void clear()

### setFlags

    @Deprecated
    public void setFlags(boolean gen_supplying_requests_flag,
                                    boolean eval_supplying_requests_flag)

  Deprecated.

  Sets flags of this Peer with target flags.

### setFlagsIfTrue

    public void setFlagsIfTrue(boolean gen_supplying_requests_flag,
                               boolean eval_supplying_requests_flag)

  Sets flags of this Peer with target flags.

  Note: as opposed to setFlags(), the number of flags set to true can only increase with setFlagsIfTrue(). It exists because, in SIM mode, controller.getAndResetControlFlags() can be called several times before the collected flags are actually processed. Calling setFlagsIfTrue() in LIVE mode requires that the controlled Thread clears its internal flags structure after use.

### copyFlags

    @Deprecated
    public void copyFlags(NegotiatorControlFlags flags)

  Deprecated.

  Sets target flags with flags of this Peer.

### getGenSupplyingRequestsFlag

    public boolean getGenSupplyingRequestsFlag()

### getEvalSupplyingRequestsFlag

    public boolean getEvalSupplyingRequestsFlag()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.